Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`ssh`.`userauth``

module documentation
(source)

Implementation of the ssh-userauth service. Currently implemented authentication types are public-key and password.

Maintainer: Paul Swartz

Class | `SSHUserAuthClient` | A service implementing the client side of 'ssh-userauth'.
Class | `SSHUserAuthServer` | A service implementing the server side of the 'ssh-userauth' service. It is used to authenticate the user on the other side as being able to access this server.
Constant | `MSG_USERAUTH_BANNER` | Undocumented
Constant | `MSG_USERAUTH_FAILURE` | Undocumented
Constant | `MSG_USERAUTH_INFO_REQUEST` | Undocumented
Constant | `MSG_USERAUTH_INFO_RESPONSE` | Undocumented
Constant | `MSG_USERAUTH_PASSWD_CHANGEREQ` | Undocumented
Constant | `MSG_USERAUTH_PK_OK` | Undocumented
Constant | `MSG_USERAUTH_REQUEST` | Undocumented
Constant | `MSG_USERAUTH_SUCCESS` | Undocumented
Variable | `messages` | Undocumented

MSG_USERAUTH_BANNER: `int` = (source)

Undocumented

Value

    53

MSG_USERAUTH_FAILURE: `int` = (source)

Undocumented

Value

    51

MSG_USERAUTH_INFO_REQUEST: `int` = (source)

Undocumented

Value

    60

MSG_USERAUTH_INFO_RESPONSE: `int` = (source)

Undocumented

Value

    61

MSG_USERAUTH_PASSWD_CHANGEREQ: `int` = (source)

Undocumented

Value

    60

MSG_USERAUTH_PK_OK: `int` = (source)

Undocumented

Value

    60

MSG_USERAUTH_REQUEST: `int` = (source)

Undocumented

Value

    50

MSG_USERAUTH_SUCCESS: `int` = (source)

Undocumented

Value

    52

messages: `dict` = (source)

Undocumented